// /server/data/characterStats.js

const GAME_CONFIG = require('../core/config'); // Путь к конфигу из server/data/ в server/core/

// --- Базовые Статы Персонажей ---

const elenaBaseStats = {
    id: GAME_CONFIG.PLAYER_ID,      // Технический ID слота (может быть player или opponent в PvP)
    characterKey: 'elena',         // Уникальный ключ персонажа
    name: "Елена",
    maxHp: 120,
    maxResource: 150,
    attackPower: 15,
    resourceName: "Мана",
    avatarPath: 'images/elena_avatar.webp' // Путь к аватару
};

const balardBaseStats = {         // Балард (для AI и, возможно, PvP)
    id: GAME_CONFIG.OPPONENT_ID,    // Технический ID слота (обычно opponent)
    characterKey: 'balard',        // Уникальный ключ персонажа
    name: "Балард",
    maxHp: 140,
    maxResource: 100,
    attackPower: 20,
    resourceName: "Ярость",
    avatarPath: 'images/balard_avatar.jpg' // Путь к аватару
};

const almagestBaseStats = {         // Альмагест (для PvP)
    id: GAME_CONFIG.OPPONENT_ID,    // Технический ID слота (может быть player или opponent в PvP)
    characterKey: 'almagest',      // Уникальный ключ персонажа
    name: "Альмагест",
    maxHp: 120,                   // Статы как у Елены для зеркальности
    maxResource: 150,
    attackPower: 15,
    resourceName: "Темная Энергия",
    avatarPath: 'images/almagest_avatar.webp' // Путь к аватару
};

// Можно добавить других персонажей здесь, если потребуется

module.exports = {
    elenaBaseStats,
    balardBaseStats,
    almagestBaseStats
    // ...и другие персонажи
};